// Ship class definition,  describes a row of TriState buttons
// Copyright (C) 29.08.97 Marco Dettori and Oliver Obst
//
// $Id: ships.h,v 0.2 1998/03/16 10:48:03 oliver Exp $

// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.

#ifndef SHIPS_H
#define SHIPS_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qwidget.h>
#include <qcolor.h>

#include "tristate.h"


class Ships : public QWidget
{
        Q_OBJECT
public:
        Ships( char n=0, QWidget *parent=0, const char *name=0 );
        Ships( const QColor & color, char n=0,
               QWidget *parent=0, const char *name=0 );
        virtual ~Ships();

        short           length();
        void            setAll( TriState::State st=TriState::CROSS );
        TriState::State getAll();
        void            setColor( const QColor & color );
        
protected:
        void    resizeEvent( QResizeEvent * );

private:        
        unsigned char   len;
        TriStates        *buttons;
        TriState::State allState;
};

#endif SHIPS_H
